Bug 139794 - IA64 debug tool corresponding to ltrace(1) for ia32.
IA64 debug tool corresponding to ltrace(1) for ia32.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ltrace (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 20:55 EST by L3support
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 01:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description L3support 2004-11-17 20:55:51 EST
Description of problem:
ltrace(1) isn't included in RHEL4 ia64.  
Do you plan to provide ltarce or an alternative tool for RHEL4 ia64? 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -qa | grep ltrace
2.
3.
  
Actual results:
ltrace tool isn't included in RHEL4 ia64.

Expected results:
RHEL4 ia64 includes ltrace tool or an alternative tool.

Additional info:
Comment 1 Jakub Jelinek 2004-11-18 01:20:37 EST
Do you mean something to trace 64-bit ia64 binaries?
No, that is certainly not going to happen unless somebody contributes IA-64
ltrace port ASAP.
in RHEL5 timeframe ld.so could have a Solaris like auditing interface and
a new tracing tool built using that.
Comment 2 L3support 2004-11-18 20:03:45 EST
> Do you mean something to trace 64-bit ia64 binaries?

Yes. 
Does RHEL4 ia64 have a way to trace library calls like ltrace?

Thanks,

Note You need to log in before you can comment on or make changes to this bug.